SDL_RegisterEvents(3)

NAME
SDL_RegisterEvents - Allocate a set of user-defined events, and return the beginning event number for that set of events.

HEADER FILE
Defined in SDL3/SDL_events.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint32 SDL_RegisterEvents(int numevents);

FUNCTION PARAMETERS

numevents
    the number of events to be allocated

RETURN VALUE
Returns the beginning event number, or 0 if numevents is invalid or if there are not enough user-defined events left.

AVAILABILITY
This function is available since SDL 3.0.0.

SEE ALSO
SDL_PushEvent(3)